classification
Title: PEP 3121, 384 refactoring applied to lsprof module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, asvetlov, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-15 13:06 by Robin.Schreiber, last changed 2020-11-19 14:10 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
_lsprof_pep3121-384_v0.patch Robin.Schreiber, 2012-08-15 13:06
Messages (2)
msg168292 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-15 13:06
Changes proposed in PEP3121 and PEP384 have now been applied to the lsprof module!
msg381427 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-19 14:10
commit 83de110dce94a9196dccc01d526628615714e362
Author: Mohamed Koubaa <koubaa.m@gmail.com>
Date:   Wed Sep 23 05:33:21 2020 -0500

    bpo-1635741: Port _lsprof extension to multi-phase init (PEP 489) (GH-22220)

See bpo-41111 "Convert a few stdlib extensions to the limited C API (PEP 384)".
History
Date User Action Args
2020-11-19 14:10:28vstinnersetstatus: open -> closed

superseder: Py_Finalize() doesn't clear all Python objects at exit

nosy: + vstinner
messages: + msg381427
resolution: duplicate
stage: resolved
2012-11-08 13:37:49Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-17 16:40:20asvetlovsetnosy: + asvetlov
2012-08-15 13:06:02Robin.Schreibercreate